%define oname   locale

Name:       ruby-%{oname}
Version:    2.0.5
Release:    %mkrel 1
Summary:    A pure ruby library which provides basic APIs for localization
Group:      Development/Ruby
License:    LGPLv2
URL:        http://locale.rubyforge.org/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Ruby-Locale is the pure ruby library which provides basic APIs for
localization. It aims to support all environments and all kind of i18n/l10n
programs (GUI, WWW, library, etc), and becomes the hub of other i18n/l10n
programs to handle major locale ID standards.


%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Mon Feb 07 2011 shikamaru <shikamaru> 2.0.5-1.mga1
+ Revision: 48671
- imported package ruby-locale


* Mon Feb 07 2011 Rémy Clouard <shikamaru@mandriva.org> - 2.0.5-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- New version 2.0.5

* Fri Jun 19 2009 Pascal Terjan <pterjan@mandriva.org> 2.0.4-1mdv2010.0
+ Revision: 387328
- import ruby-locale


* Fri Jun 19 2009 Pascal Terjan <pterjan@mandriva.org> 2.0.4-1mdv2010.0
- Fix description, summary, license and changelog

* Fri Jun 19 2009 Guillaume Cottenceau <gc@mandriva.org> 2.0.4-0mdv2010.0
- First version of the package
